WordPress Upgrade: I could cry

[This whole post is written tounge-in-cheek.  Please don’t flame/bash/perl or python the author.]

I just did an upgrade from WordPress 2.7 to 2.7.1, and it was completely done in under 5 seconds. Didn’t need to connect to SSH, didn’t need to connect to FTP. I click two buttons and my blog was running the latest and greatest WordPress.

Why are they allowed to make it this simple?

This kind of proceedure should be hard, time-consuming; and most of all full of stress.  Why, if this keeps up, I’ll be out of a job.  So, with that in mind:

Drupal must never become this simple.

All of us that work that Drupal consultanting circut need to rise up and make sure that Drupal never becomes this simple, easy or friendly to use.  Why, it could ruin the entire Drupal eco-system.

Now I’ve got to run, just noticed I need to upgrade a wordpress plugin…I’m sure that’ll take all of 2 seconds too 🙂

12 Comments
  1. February 13, 2009
    • February 13, 2009
  2. February 13, 2009
    • February 13, 2009
  3. February 13, 2009
    • February 13, 2009
  4. February 13, 2009
  5. February 13, 2009
  6. February 13, 2009
  7. February 13, 2009
  8. February 13, 2009
  9. February 15, 2009

Leave a Reply